.titleBar { margin-bottom: 5px!important; }

G.729 bei 53er-Firmware

Dieses Thema im Forum "FRITZ!Box Fon: Modifikationen" wurde erstellt von KiRKman, 23 Mai 2005.

  1. KiRKman

    KiRKman Aktives Mitglied

    Registriert seit:
    27 Okt. 2004
    Beiträge:
    1,077
    Zustimmungen:
    0
    Punkte für Erfolge:
    36
    Hallöchen. Ich habe die 06.03.53 auf meiner FRITZ!Box Fon. Außerdem habe ich use_audiocodecs=yes und dann PCMA, PCMU, G.729 und G.726-32 eingestellt. Nun ist mir aber bei dieser neuen Firmware zufällig aufgefallen, daß bei G.729 "not configured" steht. Das ist auch der Fall bei L16 und iLBC. Diese waren doch vorher "not supported", oder? Dasselbe gilt für GSM, dort steht jetzt auch "not configured". Daß iLBC wohl bald kommen wird, hatte ich schon im Thread zur neuen Firmware gelesen. Aber wie steht es mit GSM und den anderen?

    Ich habe GSM mal hinzugefügt, es bleibt aber bei "not configured". G.729 seltsamerweise auch. Ich habe G.729 aber jetzt NICHT testweise nach vorne gestellt, weil ich ihn eigentlich nie brauche; daher weiß ich auch nicht, ob er tatsächlich nicht mehr funktioniert.

    Etwas anderes Seltsames: bei meinen Tests ist mit der voipd mehrere Male abgeschmiert, was natürlich einen Reset der Box zur Folge hatte. Das passierte aber bis auf einen Fall nicht während eines Telefonats, sondern teilweise erst längere Zeit (ein paar Minuten bis ein paar Stunden) später. Und dies, obwohl ich G.729 gar nicht benutzt habe!

    Ich habe daraufhin use_audiocodecs=no gesetzt. G.729 kommt jetzt gar nicht mehr, G.726-32 ist aber konfiguriert. Ansonsten nur PCMA, PCMU und natürlich telephone-event. Das war am Sonntag Morgen um 1:39 Uhr. Seitdem läuft die Box trotz heftigen Telefonierens am Sonntag durch. Der voipd ist seit nunmehr über 27 Stunden nicht mehr abgestürzt. Sieht so aus, als sollte man erst mal die Finger von den Codecs lassen. Bei der nächsten offiziellen Firmware sieht es aber vielleicht wieder anders aus.

    Fazit: wer bei der 53er sporadische Reboots hat, die voip.cfg neu generieren lassen (wegen der presence-Einträge) und use_audiocodecs=no! Dann telefoniert man zwar fast immer mit PCM, aber der voipd crasht dafür auch nach dem Telefonat nicht mehr :)
     
  2. KiRKman

    KiRKman Aktives Mitglied

    Registriert seit:
    27 Okt. 2004
    Beiträge:
    1,077
    Zustimmungen:
    0
    Punkte für Erfolge:
    36
    So, Box ist jetzt seit 48 Stunden nicht mehr abgestürzt (06.03.53 auf der FON). Mit presence_supported=no und use_audiocodecs=no klappt's also, würde ich mal sagen. Dennoch: wer sich die 53er installiert, macht dies auf eigene Gefahr. Wer nachher meckert, wird virtuell gesteinigt :) :)
     
  3. ike

    ike Aktives Mitglied

    Registriert seit:
    18 Apr. 2005
    Beiträge:
    1,004
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Naja, ein "not configured" deutet meiner Meinung nach an, dass da was im Busch ist. Vielleicht kommt es ja zur Final. Aber was ist L16?

    Es wird wirklich Zeit, dass endlich die neue Firmware kommt - ich will basteln ;-)

    Tschau!

    Michael
     
  4. KiRKman

    KiRKman Aktives Mitglied

    Registriert seit:
    27 Okt. 2004
    Beiträge:
    1,077
    Zustimmungen:
    0
    Punkte für Erfolge:
    36
    Falls hier jemand nicht nur wegen der neuen Codecs liest, sondern auch wegen Abstürzen der Box möglicherweise aufgrund dieser neuen Codecs, so sei gesagt, daß die Box bei mir seit heute Abend spät auch mit "audiocodecs = no" plötzlich andauernd rebooted, weil der voipd mit "segmentation fault" crashed. Das scheint mir jetzt aber nicht an den neuen Codecs zu liegen; ich weiß es nicht... Wegen der Crashes dann bitte hier weiter schreiben, sonst wird das zu wirr, oder?